# X-Chain

Exchange Chain (X-Chain):

The X-chain is used for sending and receiving funds, however, it is not used for Defi platforms. Also, note that x-chain cannot be used with MetaMask or similar wallets. Your X-chain address is accessed from the Avalanche web wallet, and you get a new address after every deposit (note that your old addresses remain valid too). The format is different from Ethereum-style 0x addresses and begins with an "X-avax". The trailing endpoint for X-Chain calls is:

The trailing endpoint for X-Chain calls is:

```
To interact with X-Chain via the JSON-RPC endpoint:
 /ext/bc/X

To interact with other instances of the EVM via the JSON-RPC endpoint:
/ext/bc/blockchainID/rpc

(where "blockchainID" is the ID of the EVM chain)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/avalanche/x-chain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
